[PT4] problem z SQl

    • aavallachm
      aavallachm
      Global
      na forum od: 01.12.2012 Posty: 172
      probowalem dzis zainstalowac HM2, ktorego nie udalo mi sie odpalic, bo cos bylo nie tak z SQL(nie wiem nawet co to jest)
      wiec zainstalowałem PT4 instalacj przebiegła pomyslnie ale jak staram sie go odpalic to pojawia sie okienko gdzie mam napisane configure postgreSQL server czy coś takiego. dodam ze razem z HM2 sciagneło mi sie ten caly SQL wersja 8.4, a ja dodatkowo sciagnalem z ich strony wersje 9.2 ale nadal nie wiem co mam zrobić zeby to wszystko zadziałało...
  • 14 odpowiedzi
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Witaj aavallachm,

      Jeśli będziesz mieć w przyszłości jakiś problem i wyskoczy Ci okienko z błędem którego nie rozumiesz to zrób screena pulpitu. Zawsze pomoże on w rozwiązaniu problemu, a czasem tylko dzięki temu screenowi (dokładnej informacji) będzie można rozwiązać problem.

      Zainstalowałeś dwie wersje Postgresa -> wiki. Niepotrzebnie, bo miałeś prawdopodobnie już jakąś wersję zainstalowaną (miałeś kiedyś inny tracker pokerowy, hm1/elephant?). Trochę teraz namieszałeś. Chyba najlepiej będzie odinstalować wersje które już masz wgrane, 6 punkt FAQ.

      Słyszałem, że z wersją 9.2 mogą być problemy jednak byli użytkownicy którzy już na tej wersji pracowali. Pobierz np. wersję 9.0.12 dla Twojej wersji systemu (x86-32/x86-64, możesz sprawdzić ją klikając ppm na Mój Komputer -> Właściwości -> Typ Systemu).

      Pozdrawiam.
    • aavallachm
      aavallachm
      Global
      na forum od: 01.12.2012 Posty: 172
      komunikat pod koniec instalacji:

      problem running post-instal step. installaytion may not complete correctly.
      error reading file
      c/program files(x86)/postgreSQL/9.0/data/postgresql.conf

      odinstalowałem i zainstalowałem milion razy dzisiaj.
      za kazdym razem to samo.
      co do HM to pojawia sie taka informacja:
      http://img7.imageshack.us/img7/8464/hm2z.png

      pt4 mowi ze nie mozna sie polaczyc z serwerem, a ten SQL admin mowi ze serwer nie nasluchuje...
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Odinstalowałeś poprawnie starsze wersje Postgresa? 6 punkt FAQ, który Ci podlinkwoałem. Zwykłe odinstalowanie nie wystarczy.

      Ilu bitowy masz system? Sądząc po informacjach któe podałeś jest to 64bitowy więc i taką wersję powinieneś pobrać.
    • aavallachm
      aavallachm
      Global
      na forum od: 01.12.2012 Posty: 172
      co wersji to wiem, ale nie za bardzo rozumiem punkt 3):
      Usuń użytkownika windowsa, który był utworzony poprzez opcje systemu.

      o co chodzi?
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Uruchom konsolę -> cmd najlepiej jako administrator i wpisz dokładnie: net user postgres /delete zatwierdź enterem. Po usunięciu użytkownika dobrze byłoby zrestartować komputer. Następnie zainstaluj odpowiednią wersję Postgresa.

      Pozdrawiam.
    • aavallachm
      aavallachm
      Global
      na forum od: 01.12.2012 Posty: 172
      zrobiłem wszystko jak trzeba, odinstalowałem, zainstalowałem werseje 9.12(potem 8,4 i nawet 8,3) oczywiscie za kazdym razem poprawnie odinstalowywałem. i za kazdym razem ten sam bład:


      http://img689.imageshack.us/img689/7522/postgre.png
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Witaj aavallachm,

      Poleciłem Ci usunięcie starych wersji Postgresa bo strasznie z nimi namieszałeś.
      Przeczytaj wszystkie poprzednie posty w tym temacie, bo coś mi się wydaje że tego nie zrobiłeś :s_frown:

      Wystarczy zainstalować jedną wersję Postgresa.

      Pobierz np. wersję 9.0.12 dla Twojej wersji systemu (x86-32/x86-64, możesz sprawdzić ją klikając ppm na Mój Komputer -> Właściwości -> Typ Systemu).


      Ilu bitowy masz system? Sądząc po informacjach któe podałeś jest to 64bitowy więc i taką wersję powinieneś pobrać.


      Czy w folderze c/program files(x86)/ jest jakikolwiek folder "postgre..." Czy usunąłeś użytkownika postgres? Jaki komunika otrzymałeś po jego usunięciu?

      Tu masz dokładną instrukcję instalacji PostgreSQL 9.0: How to Uninstall/Manually Install PostgreSQL 9.0 (Windows)

      Pozdrawiam.
    • avallach
      avallach
      Brąz
      na forum od: 01.09.2009 Posty: 530
      Kurcze rozumiem co napisałeś. odinstalowałem dokladnie wszystko(łacznie z usuwaniem rejestrow). i potem prowoałem z kazda wersja, az do najstarszej. cały czas odinstalowywałem ta wersje ktora zainstalowałem. wiec nigdy nie mialem wiecej niz jednej wersji zainstalowanej na raz.
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Witaj avallach,

      aavallachm :s_mad:

      Podczas instalacji Postgresa otrzymujesz pewnie informację o miejscu w którym ma być zainstalowany. Wybierz inny folder, bez spacji, np. C:/PostgreSQL

      Pozdrawiam.
    • avallach
      avallach
      Brąz
      na forum od: 01.09.2009 Posty: 530
      tez juz probowalem...
      widziales ten komunikat?
      http://img689.imageshack.us/img689/7522/postgre.png
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604


      Na czerwono masz spacje zaznaczone -> http://konradpodgorski.pl/102/postgresql-problem-running-post-install-step.

      Możesz także wyłączyć UAC. Instalujesz Postgresa jako administrator ppm -> uruchom jako administrator?
    • avallach
      avallach
      Brąz
      na forum od: 01.09.2009 Posty: 530
      Cześć, niestety mimo wielu prob nie udało mi sie zainstalować Postgresa. Wylaczyłem UAC, probowałem zainstalować w innym floderze i nadal nic. Ktoś mi powiedział(nie wiem czy to prawda), ze może wystarczyc skopiować od kogoś ten plik(czyli postresgl.conf) i ze moze wtedy zadziała? Co o tym sądzisz? Czy w takim razie moze ktos mi pomoc i przesłać mi ten plik w mailu? Pozdra
    • avallach
      avallach
      Brąz
      na forum od: 01.09.2009 Posty: 530
      podbijam
      dodatkowo mam pytanie czy to musi byc postre sql? nie mozna zainstalowac jakiegos innego sqla?
    • Skibcio
      Skibcio
      Head admin
      Head admin
      na forum od: 03.11.2010 Posty: 9 604
      Witaj avallach,

      Musi to być Postgres. Błąd z plikiem "postresgl.conf" pojawia się podczas instalacji, więc jego przekopiowanie raczej nic nie da. Niestety nie wiem jak Ci pomóc. Proponowałbym skontaktować się z supportem PokerTrackera, może spotkali się już z takim problemem.

      -> PokerTracker kontakt

      Pozdrawiam.